Subject: Re: How to port PReP to arch/powerpc?

From: Sven Luther <[email-masked]>
Date: Wed, 22 Aug 2007 15:04:33 +0200

On Wed, Aug 22, 2007 at 02:50:07PM +0300, Meelis Roos wrote:
> It seems no one cares for arch/ppc any more but the move to powerpc was 
> not finished completely (PReP subarch was not migrated but sees users, I 
> do not know about the user base of the other subarches). So I have been 
> thinking about migrating PReP support to arch/powerpc myself since I use 
> it.
> 
> Any general guidelines or specific hints about that? I have looked 
> around in the code and some pieces are clearly PReP specific (setup, 
> pci, boot) but others seem wuite a bit mixed up with other subarches.

I don't have much time for this right now, but i am interested in
helping out in a PReP arch/powerpc port, as this would allow debian to
drop the arch/ppc -prep flavour. I have both a motorola and an IBM PReP
box here to play with and test.

Friendly,

Sven Luther